:root{
	--btnHollowColor1: #00B3CD;
	--btnTextColor1: #fff;
	--btnHoverColor: #213B87;
	--btnTextHoverColor1: #fff;

	--btnHollowColor2: #ED6D68;
	--btnTextColor2: #ED6D68;
	--btnTextHoverColor2: #fff;

	--btnHollowColor3: #000;
	--btnTextColor3: #000;
	--btnTextHoverColor3: #000;

	--btnHollowColor4: #fff;
	--btnTextColor4: #fff;
	--btnTextHoverColor4: #ED6D68;
}

a.btn, a.btn1, a.wp-block-button__link{
	position: relative;
	display: inline-flex;
	padding: 10px 24px;
	justify-content: center;
	align-items: center;
	gap: 8px; 
	margin-right: 10px; /* der Abstand des nächsten Buttons rechts */
	margin-bottom: 10px; /* der Abstand des nächsten Buttons rechts */
/*	-webkit-border-radius: 24px;
	-moz-border-radius: 24px;
	border-radius: 24px; */
	overflow: hidden;
	background-color: var(--btnHollowColor1);
	z-index: 1;
}



a.btn.hollow1{ color: var(--btnTextColor1); border: 1px solid var(--btnHollowColor1); }
a.btn.hollow2{ color: var(--btnTextColor2); border: 1px solid var(--btnHollowColor2); }
a.btn.hollow3{ color: var(--btnTextColor3); border: 1px solid var(--btnHollowColor3); }
a.btn.hollow4, 
a.btn1.hollow4, 
a.wp-block-button__link{ color: var(--btnTextColor4); border: 1px solid var(--btnHollowColor4); }


a.btn.hollow1:hover{ bakground-color: var(--btnHoverColor1); color: var(--btnTextHoverColor1); }
a.btn.hollow2:hover{ bakground-color: var(--btnHoverColor1); color: var(--btnTextHoverColor2); }
a.btn.hollow3:hover{ bakground-color: var(--btnHoverColor1); color: var(--btnTextHoverColor3); }
a.btn.hollow4:hover, 
a.btn1.hollow4:hover, 
a.wp-block-button__link:hover { color: var(--btnTextHoverColor4); }



a.btn:before, 
a.btn1:before, 
a.wp-block-button__link:before{
	position: absolute;
	z-index: -1;
	content: '';
	display: block;
	width: 0px;
	height: 0px;
/*	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%; */
	transition: .3s ease-in;
}

a.btn:hover:before, 
a.btn1:hover:before, 
a.wp-block-button__link:hover:before{
	width: 400px;
	height: 400px;
}

a.btn.hollow1:hover:before{
	background-color: var(--btnHoverColor1);
}

a.btn.hollow2:hover:before{
	background-color: var(--btnHollowColor2);
}

a.btn.hollow3:hover:before{
	background-color: var(--btnHollowColor3);
}
a.btn.hollow4:hover:before,  
a.btn1.hollow4:hover:before,  
a.wp-block-button__link:hover:before{
	background-color: var(--btnHollowColor4);
}



/* icon stuff */
a.btn span img{
	max-height: 21px;
	margin-left: -5px;
}


/* Alignment  */
a.btn.br{	float: right; }
a.btn.bc{	left: 50%; transform: translateX(-50%); }
